<header *ngIf="blog">
  <minds-banner
    [object]="blog"
    [editMode]="true"
    (added)="add_banner($event)"
    [done]="banner_prompt"
  ></minds-banner>
</header>

<form
  (submit)="save()"
  class="mdl-grid blogs-grid m-blog-container mdl-color--white"
  style="max-width:740px"
  *ngIf="blog.guid"
>
  <div class="mdl-grid" style="width: 100%">
    <div class="mdl-cell mdl-cell--12-col">
      <minds-textarea
        name="title"
        [(mModel)]="blog.title"
        class="m-h1-input"
        placeholder="Your title"
        i18n-placeholder="@@BLOGS__EDIT__TITLE_PLACEHOLDER"
      ></minds-textarea>
    </div>
    <!-- Owner box -->
    <div class="mdl-cell mdl-cell--5-col minds-blog-ownerblock">
      <div class="minds-avatar" [hovercard]="session.getLoggedInUser().guid">
        <a [routerLink]="['/', session.getLoggedInUser().username]">
          <img
            src="{{minds.cdn_url}}icon/{{session.getLoggedInUser().guid}}/small/{{session.getLoggedInUser().icontime}}"
            class="mdl-shadow--2dp"
          />
        </a>
      </div>
      <div class="minds-body">
        <a
          [routerLink]="['/', session.getLoggedInUser().username]"
          class="mdl-color-text--blue-grey-500"
          >{{session.getLoggedInUser().name}}</a
        >
        <span *ngIf="blog.time_created"
          >{{ blog.time_created * 1000 | date: 'medium'}}</span
        >
      </div>
    </div>
  </div>

  <div class="mdl-cell mdl-cell--12-col minds-blog-descriptions">
    <m-inline-editor
      name="description"
      [(ngModel)]="blog.description"
      placeholder="Go ahead and write some content!"
      i18n-placeholder="@@BLOGS__EDIT__INLINE_EDITOR_PLACEHOLDER"
      #inlineEditor
    ></m-inline-editor>
  </div>

  <div class="mdl-cell mdl-cell--12-col">
    <button
      type="submit"
      class="m-button m-button--text m-button--draft"
      *ngIf="!blog.published"
      [disabled]="!canSave || pendingUploads.length !== 0 || !validThreshold"
      i18n="@@BLOGS__EDIT__SAVE_DRAFT_ACTION"
    >
      Save draft
    </button>
    <button
      type="submit"
      class="m-button m-button--text m-button--submit"
      (click)="blog.published = 1"
      [disabled]="!canSave || pendingUploads.length !== 0 || !validThreshold"
      i18n="@@BLOGS__EDIT__PUBLISH_ACTION"
    >
      Publish
    </button>
    <div
      *ngIf="inProgress"
      class="m-wire--creator--submit-label mdl-spinner mdl-js-spinner is-active"
      [mdl]
    ></div>

    <ng-container *ngIf="error" [ngSwitch]="error">
      <h1
        class="m-blog--edit--error"
        i18n="@@BLOGS__EDIT__NO_TITLE_ERROR"
        *ngSwitchCase="'error:no-title'"
      >
        Error: You must provide a title
      </h1>
      <h1
        class="m-blog--edit--error"
        i18n="@@BLOGS__EDIT__NO_DESCRIPTION_ERROR"
        *ngSwitchCase="'error:no-description'"
      >
        Error: You must provide a description
      </h1>
      <h1
        class="m-blog--edit--error"
        i18n="@@BLOGS__EDIT__NO_BANNER_ERROR"
        *ngSwitchCase="'error:no-banner'"
      >
        Error: You must upload a banner
      </h1>
      <h1 class="m-blog--edit--error" *ngSwitchDefault>
        Error: {{error}}
      </h1>
    </ng-container>
  </div>

  <div
    class="mdl-cell mdl-cell--12-col m-additional-block mdl-color-text--blue-grey-200"
  >
    <div class="m-license-info">
      <i class="material-icons">public</i>
      <select
        name="license"
        [ngModel]="blog.license"
        (change)="blog.license = $event.target.value"
        class="mdl-color-text--blue-grey-300 m-form-select"
        style="max-width:128px"
      >
        <option value="" i18n="@@BLOGS__EDIT__LICENCE_PLACEHOLDER"
          >-- License --</option
        >
        <option *ngFor="let l of licenses" [value]="l.value">{{l.text}}</option>
      </select>
    </div>
    <div class="m-category-info">
      <m-hashtags-selector
        #hashtagsSelector
        [tags]="blog.tags.slice(0)"
        (tagsChange)="onTagsChange($event)"
        (tagsAdded)="onTagsAdded($event)"
        (tagsRemoved)="onTagsRemoved($event)"
      ></m-hashtags-selector>
    </div>
    <div class="m-visibility-info">
      <i class="material-icons">visibility</i>
      <select
        name="access_id"
        [ngModel]="blog.access_id"
        (change)="blog.access_id = $event.target.value"
        class="mdl-color-text--blue-grey-300 m-form-select"
      >
        <option *ngFor="let a of access" [value]="a.value">{{a.text}}</option>
      </select>
    </div>
    <div class="m-mature-info">
      <a
        class="mdl-color-text--blue-grey-300 m-capture-mature"
        (click)="blog.mature = blog.mature ? 0 : 1; checkMonetized()"
      >
        <i
          class="material-icons"
          [ngClass]="{ 'mdl-color-text--red-500': blog.mature }"
          title="Mature content"
          i18n-title="@@M__COMMON__MATURE_CONTENT"
          >explicit</i
        >
        <span [ngClass]="{ 'mdl-color-text--red-500': blog.mature }"
          >{{ blog.mature ? 'Mature content' : 'Anyone' }}</span
        >
      </a>
    </div>
    <m-wire-threshold-input
      [(threshold)]="blog.wire_threshold"
      [(enabled)]="blog.paywall"
      (validThreshold)="validThreshold = $event"
      #thresholdInput
    ></m-wire-threshold-input>
  </div>

  <div
    class="mdl-cell mdl-cell--12-col m-blog-edit--metadata mdl-color-text--blue-grey-200"
    *ngIf="blog.custom_meta"
  >
    <div class="m-blog-edit--toggle-wrapper">
      <span
        class="m-blog-edit--toggle"
        (click)="toggle.value = !toggle.value"
        #toggle
      >
        Metadata
        <i class="material-icons m-material-icons-inline" *ngIf="!toggle.value"
          >arrow_drop_down</i
        >
        <i class="material-icons m-material-icons-inline" *ngIf="toggle.value"
          >arrow_drop_up</i
        >
      </span>
    </div>

    <div class="m-blog-edit--fields" [hidden]="!toggle.value">
      <div class="m-blog-edit--field">
        <label i18n="@@BLOGS__EDIT__URL_SLUG">URL Slug</label>

        <input type="text" name="slug" [(ngModel)]="blog.slug" />
      </div>

      <div class="m-blog-edit--field">
        <label i18n="@@BLOGS__EDIT__META_TITLE">Meta Title</label>

        <input
          type="text"
          name="custom_meta_title"
          [(ngModel)]="blog.custom_meta.title"
        />
      </div>

      <div class="m-blog-edit--field">
        <label i18n="@@BLOGS__EDIT__META_DESCRIPTION">Meta Description</label>

        <textarea
          name="custom_meta_description"
          [(ngModel)]="blog.custom_meta.description"
        ></textarea>
      </div>

      <div class="m-blog-edit--field">
        <label i18n="@@BLOGS__EDIT__META_AUTHOR">Meta Author</label>

        <input
          type="text"
          name="custom_meta_author"
          [(ngModel)]="blog.custom_meta.author"
        />
      </div>
    </div>
  </div>
</form>
